# LSDTopoTools

This repository is a fork of instructions located [here](https://franz825.github.io/teaching/tecto/lsdtt-intro.html)

## Binaries and libraries

The `bin` and `lib` folder were built on **Rocky Linux release 8.10 (Green Obsidian)** (4.18.0-425.3.1.el8.x86_64)

Use `bin/lsdtt_env.sh` to add them in your environment.

## How to build LSDTopoTools2 and FFTW3 ?

> You need `cmake` and `make` installed on your system (and `git` + `curl`)

```bash
git clone https://github.com/LSDtopotools/LSDTopoTools2
cd LSDTopoTools2/src
vi build.sh
```

Add `PREFIX="$(pwd)/.."` on the first line of `build.sh` file.

```bash
FFTW_VERSION=3.3.10
curl -L http://www.fftw.org/fftw-${FFTW_VERSION}.tar.gz | tar xz
mkdir build && cd $_
cmake -DENABLE_OPENMP=ON -DENABLE_THREADS=ON -DCMAKE_INSTALL_PREFIX=../fftw3 ../fftw-${FFTW_VERSION}
make install
cd ..
rm -rf build fftw-3.3.10
cd ../..
rsync -av tools/findFFTW LSDTopoTools2/src
cp tools/CMakeLists.txt  LSDTopoTools2/src
cd LSDTopoTools2/src
sh build.sh
```
